Bug 1299056 - yum erase erased too much in the upgrade process
yum erase erased too much in the upgrade process
Status: CLOSED DEFERRED
Product: OpenShift Container Platform
Classification: Red Hat
Component: Upgrade (Show other bugs)
2.2.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Timothy Williams
Anping Li
:
: 1299055 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-15 15:11 EST by Eric Jones
Modified: 2016-09-16 14:33 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
OpenShift Enterprise 2.1
Last Closed: 2016-09-16 14:33:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Jones 2016-01-15 15:11:39 EST
Description of problem:
Running `ose-upgrade rpms` per the upgrade (2.1->2.2) procedure removes node cartridge packages as well as the rest of the upgrade files, causing the next step `ose-upgrade conf` to fail.

Version-Release number of selected component (if applicable):
2.1 upgrade

How reproducible:
Unsure as of yet

Steps to Reproduce:
1. Follow the upgrade (2.1->2.2) documentation.
2. Run ose-upgrade rpms
3. Run ose-upgrade conf

Actual results:
ose-upgrade conf fails  stating:
# ose-upgrade conf
ERROR: run_upgrade_step
The 'conf' upgrade step is not implemented for this host

As well as removing node cartridge packages

Expected results:
Upgrade of the configuration occurs and it tells you the next step to upgrade.
Comment 2 Eric Jones 2016-05-31 11:06:03 EDT
*** Bug 1299055 has been marked as a duplicate of this bug. ***
Comment 6 Rory Thrasher 2016-09-16 14:33:12 EDT
Given the lack of interest and no open customer case, we will close this bug as deferred.

Note You need to log in before you can comment on or make changes to this bug.